logstash配置log4j启动报错

[2018-01-19T13:46:59,915][ERROR][logstash.plugins.registry] Tried to load a plug
in's code, but failed. {:exception=>#<LoadError: no such file to load -- logstas
h/inputs/log4j>, :path=>"logstash/inputs/log4j", :type=>"input", :name=>"log4j"}

[2018-01-19T13:46:59,960][ERROR][logstash.agent           ] Failed to execute ac
tion {:action=>LogStash::PipelineAction::Create/pipeline_id:main, :exception=>"L
ogStash::PluginLoadingError", :message=>"Couldn't find any input plugin named 'l
og4j'. Are you sure this is correct? Trying to load the log4j input plugin resul
ted in this error: no such file to load -- logstash/inputs/log4j", :backtrace=>[
"E:/LogAnalysis/logstash-6.1.2/logstash-core/lib/logstash/plugins/registry.rb:19
2:in `lookup_pipeline_plugin'", "E:/LogAnalysis/logstash-6.1.2/logstash-core/lib
/logstash/plugin.rb:140:in `lookup'", "E:/LogAnalysis/logstash-6.1.2/logstash-co
re/lib/logstash/plugins/plugin_factory.rb:82:in `plugin'", "E:/LogAnalysis/logst
ash-6.1.2/logstash-core/lib/logstash/pipeline.rb:114:in `plugin'", "(eval):8:in
`<eval>'", "org/jruby/RubyKernel.java:994:in `eval'", "E:/LogAnalysis/logstash-6
.1.2/logstash-core/lib/logstash/pipeline.rb:86:in `initialize'", "E:/LogAnalysis
/logstash-6.1.2/logstash-core/lib/logstash/pipeline.rb:171:in `initialize'", "E:
/LogAnalysis/logstash-6.1.2/logstash-core/lib/logstash/pipeline_action/create.rb
:40:in `execute'", "E:/LogAnalysis/logstash-6.1.2/logstash-core/lib/logstash/age
nt.rb:335:in `block in converge_state'", "E:/LogAnalysis/logstash-6.1.2/logstash
-core/lib/logstash/agent.rb:141:in `with_pipelines'", "E:/LogAnalysis/logstash-6
.1.2/logstash-core/lib/logstash/agent.rb:332:in `block in converge_state'", "org
/jruby/RubyArray.java:1734:in `each'", "E:/LogAnalysis/logstash-6.1.2/logstash-c
ore/lib/logstash/agent.rb:319:in `converge_state'", "E:/LogAnalysis/logstash-6.1
.2/logstash-core/lib/logstash/agent.rb:166:in `block in converge_state_and_updat
e'", "E:/LogAnalysis/logstash-6.1.2/logstash-core/lib/logstash/agent.rb:141:in `
with_pipelines'", "E:/LogAnalysis/logstash-6.1.2/logstash-core/lib/logstash/agen
t.rb:164:in `converge_state_and_update'", "E:/LogAnalysis/logstash-6.1.2/logstas
h-core/lib/logstash/agent.rb:90:in `execute'", "E:/LogAnalysis/logstash-6.1.2/lo
gstash-core/lib/logstash/runner.rb:343:in `block in execute'", "E:/LogAnalysis/l
ogstash-6.1.2/vendor/bundle/jruby/2.3.0/gems/stud-0.0.23/lib/stud/task.rb:24:in
`block in initialize'"]}
已邀请:

Mrliushao

赞同来自:

同求,我也是一样的问题

Mrliushao

赞同来自:

这是因为你需要添加input相关的插件

Mr. Zhang

赞同来自:

插件安装失败 

要回复问题请先登录注册